# Class: ResultSetMetaData

Defined in: | src/rsmd.coffee

## Overview

Contains the metadata information about the resultset. Metadata information can be the properties of the columns such as type,name or the number of columns returned from this resultset etc..

## Instance Method Summary

- # (int) getColumnCount() Returns number of columns in the result set
- # (String) getColumnName(column) Returns the given columns name

## Constructor Details

# (void) constructor(resultSetMetaData)

Constructor method

### Parameters:

- resultSetMetaData ( `Object` )

## Instance Method Details

# (int) getColumnCount()

Returns number of columns in the result set

### Returns:

- `int`

# (String) getColumnName(column)

Returns the given columns name

### Parameters:

- index ( `int` ) — of the column in the result set. Index statrs from 1.

### Returns:

- ( `String` ) — name of the column

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input